resources:
- type: container
  attributes:
    image: gitea/act_runner:latest
    name: builder
    environment:
      CONFIG_FILE: /act_runner/etc/config.xml
      GITEA_INSTANCE_URL: https://gitea.example
      GITEA_RUNNER_REGISTRATION_TOKEN: abcdef1234567890
      GITEA_RUNNER_NAME: builder
    hostconfig:
      mounts:
      - type: "bind"
        source: "act_runner/etc"
        target: "/act_runner/etc"
      - type: "bind"
        source: "act_runner/data"
        target: "/data"
      - type: "bind"
        source: "/var/run/docker.sock"
        target: "/var/run/docker.sock"
    state: present
